RTCPCompoundHandler::RTCPFixedHeader(3)

NAME
RTCPCompoundHandler::RTCPFixedHeader -

Fixed RTCP packet header.

SYNOPSIS

#include <rtcppkt.h>

  Public Attributes
unsigned char version:2
< For big endian boxes
unsigned char padding:1
Padding bit.
unsigned char block_count:5
Number of RR, SR, or SDES chunks.
uint8 type
type of RTCP packet.
uint16 length
number of 32-bit words in the packet (*minus one*).

Detailed Description

Fixed RTCP packet header. First 32-bit word in any RTCP packet.

Member Data Documentation

  unsigned char RTCPCompoundHandler::RTCPFixedHeader::block_count

Number of RR, SR, or SDES chunks.

  uint16 RTCPCompoundHandler::RTCPFixedHeader::length

number of 32-bit words in the packet (*minus one*).

  unsigned char RTCPCompoundHandler::RTCPFixedHeader::padding

Padding bit.

  uint8 RTCPCompoundHandler::RTCPFixedHeader::type

type of RTCP packet.

  unsigned char RTCPCompoundHandler::RTCPFixedHeader::version

< For big endian boxes Version, currently 2.

Author

Generated automatically by Doxygen for ccRTP from the source code.